<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" style="task" id="mintupdatex-cli">

  <info>
    <link type="guide" xref="index#advanced"/>

    <credit type="author">
      <name>Linux Mint</name>
      <email>root@linuxmint.com</email>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="legal.xml"/>

    <desc>Diweddaru o'r llinell orchymyn</desc>
  </info>

  <title>Defnyddio intupdate-cli</title>

    <p>Mae'r Rheolwr Diweddaru yn darparu gwasanaeth llinell orchymyn o'r enw "mintupdatex-cli".</p>

    <p>Os ydych yn brofiadol gyda Linux, gallwch ddefnyddio'r teclyn yma yn eich sgriptiau neu dasgau cron i awtomeiddio gosod diweddariadau meddalwedd.</p>

  <section id="tool1">

  <title>Rhestru'r diweddariadau</title>

  <p>Gallwch ddefnyddio'r orchymyn "list" i restru diweddariadau:</p>

  <screen>mintupdatex-cli list</screen>

  <p>Gallwch ddefnyddio -s i ddim ond dangos y diweddariadau diogelwch.</p>

  <p>Gallwch ddefnyddio -k i ddim ond dangos diweddariadau'r cnewyllyn.</p>

  <p>Er enghraifft, mae'r rhestr canlynol yn dangos pob gorchymyn diogelwch.</p>

  <screen>mintupdatex-cli list -s</screen>

  </section>

  <section id="tool1">

  <title>Yn gosod diweddariadau</title>

  <p>Gallwch ddefnyddio'r gorchymyn "upgrade" i osod diweddariadau, gan ddefnyddio'r un dewisiadau.</p>

  <p>Er enghraifft, mae'r gorchymyn canlynol yn perthyn i ddiweddariadau cnewyllyn:</p>

  <screen>sudo mintupdatex-cli upgrade -r -k</screen>

  <p>Sylwch ar yr ymresymiad -r, sydd wedi ei ychwanegu i adnewyddu'r storfa.</p>

  <p>Am ragor o fanylion am mintupdatex-cli a'r rhestr llawn o ymresymiadau, teipiwch:</p>

  <screen>mintupdatex-cli -h</screen>

  </section>

</page>
